Subject: [PATCHv2 1/4] arm: orion5x: fix orion5x.dtsi gpio parameters

From: [email-masked] (Alexander Clouter)
Date: Tue, 26 Mar 2013 21:02:56 +0000

Hi,

On Mon, Mar 25, 2013 at 09:43:12AM +0100, Andrew Lunn wrote:
>If you look at Dove, Kirkwood, etc, you see:
>
>                gpio0: gpio at d0400 {
>                        compatible = "marvell,orion-gpio";
>                        #gpio-cells = <2>;
>                        gpio-controller;
>                        reg = <0xd0400 0x20>;
>                        ngpios = <32>;
>                        interrupt-controller;
>                        #interrupt-cells = <2>;
>                        interrupts = <12>, <13>, <14>, <60>;
>                };
>
>I think you also need to add
>
>                        interrupt-controller;
>                        #interrupt-cells = <2>;
>
Darn, I had noticed this and pondered, then thought to wait for someone brighter to point it out 
authoritively :)

Wanging out an update to this patch too.

Cheers

-- 
Alexander Clouter
.sigmonster says: I'd like some JUNK FOOD ... and then I want to be ALONE --